CVE-2005-0945
CVSS4.3
发布时间 :2005-05-02 00:00:00
修订时间 :2016-10-17 23:15:48
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in ACS Blog 1.1.1 allows remote attackers to inject arbitrary web script or HTML via onmouseover or onload events in (1) img, (2) link, or (3) mail tags.


[CNNVD]ACS Blog HTML注入漏洞(CNNVD-200505-225)

        ACS Blog 1.1.1中存在跨站脚本攻击(XSS)漏洞,允许远程攻击者通过(1)img,(2)link或(3)mail标签中的onmouseover或onload事件来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0945
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0945
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-225
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111214069029812&w=2
(UNKNOWN)  BUGTRAQ  20050328 Multiple XSS vulnerabilities in ACS Blog
http://securitytracker.com/id?1013584
(VENDOR_ADVISORY)  SECTRACK  1013584
http://xforce.iss.net/xforce/xfdb/19864
(PATCH)  XF  acsblog-tags-xss(19864)

- 漏洞信息

ACS Blog HTML注入漏洞
中危 跨站脚本
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        ACS Blog 1.1.1中存在跨站脚本攻击(XSS)漏洞,允许远程攻击者通过(1)img,(2)link或(3)mail标签中的onmouseover或onload事件来注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.asppress.com/entry.asp?entry_id=243

- 漏洞信息

15087
ACS Blog Multiple BBcode Tag XSS
Remote / Network Access Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

ACS Blog contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the [link], [mail], and [img] BBcode tags upon submission to the comments section of ACS Blog. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity. The pages affected by the flaw are: add_comment.asp, admin_entry.asp, inc_editor_buttons_safari.asp, inc_functions.asp, inc_javascripts.js, popup_insert_element.asp, popup_preview.asp, user_footer.asp, user_functions.asp.

- 时间线

2005-03-28 Unknow
2005-03-28 Unknow

- 解决方案

Upgrade to version 1.1.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

ACS Blog Name Field HTML Injection Vulnerability
Input Validation Error 12921
Yes No
2005-03-28 12:00:00 2009-07-12 11:56:00
Discovery is credited to Dan Crowley <dan.crowley@gmail.com>.

- 受影响的程序版本

ASP Press ACS Blog 1.1.2
ASP Press ACS Blog 1.1.1
ASP Press ACS Blog 1.1 b
ASP Press ACS Blog 1.1
ASP Press ACS Blog 1.0.3
ASP Press ACS Blog 1.0.2
ASP Press ACS Blog 1.0.1
ASP Press ACS Blog 1.0
ASP Press ACS Blog 0.9
ASP Press ACS Blog 0.8
ASP Press ACS Blog 1.1.3

- 不受影响的程序版本

ASP Press ACS Blog 1.1.3

- 漏洞讨论

ACS Blog is affected by an HTML injection vulnerability.

The issue affects the 'Name' field and may be exploited to execute arbitrary HTML and script code in the browser of the user when the user views an affected Web page.

- 漏洞利用

An exploit is not required to leverage this issue.

The following proof of concept is available:

Name: &amp;lt;script&amp;gt;alert("xss");&amp;lt;/script&amp;gt;

- 解决方案

This issue has been addressed in ACS Blog 1.1.3.


ASP Press ACS Blog 0.8

ASP Press ACS Blog 0.9

ASP Press ACS Blog 1.0

ASP Press ACS Blog 1.0.1

ASP Press ACS Blog 1.0.2

ASP Press ACS Blog 1.0.3

ASP Press ACS Blog 1.1

ASP Press ACS Blog 1.1 b

ASP Press ACS Blog 1.1.1

ASP Press ACS Blog 1.1.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站